Bug 737824

Summary: (ERROR-with-yum) ERROR with rpm_check_debug vs depsolve
Product: Red Hat Enterprise Linux 5 Reporter: mihovil <mihovil.pletikos>
Component: yumAssignee: packaging-team-maint
Status: CLOSED NOTABUG QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 5.5CC: james.antill, kenorb, phil.fisher
Target Milestone: rc   
Target Release: ---   
Hardware: ia64   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-04 13:29:40 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description mihovil 2011-09-13 04:05:36 EDT
Description of problem:
this is what is happening when i try to install some packages:


yum install gcc-gfortran gcc-c++ tetex-latex texinfo-tex libpng-devel libjpeg-devel readline-devel tcl-devel  tk-devel ncurses-devel blas pcre-devel zlib-devel java-1.4.2-gcj-compat lapack-devel libSM-devel libX11-devel libICE-devel libXt-devel bzip2-devel libXmu-devel cairo-devel libtiff-devel gcc-objc pango-devel --nogpgcheck


 .....


Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libselinux.so.1 is needed by libselinux-1.33.4-5.7.el5.i386
libauparse.so.0 is needed by audit-libs-1.7.18-2.el5.i386
libselinux.so.1 is needed by (installed) device-mapper-1.02.39-1.el5_5.2.i386
libselinux.so.1 is needed by (installed) krb5-libs-1.6.1-36.el5_5.5.i386
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?
product=Red%20Hat%20Enterprise%20Linux%205&component=yum']


and then:

 yum list installed libselinux                           Installed Packages
libselinux.i386                     1.33.4-5.5.el5                     installed
libselinux.ia64                     1.33.4-5.5.el5                     installed
Version-Release number of selected component (if applicable):
 and the same is for others packages


what to do?

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 phil.fisher 2012-07-11 09:10:08 EDT
I have also got this issue with installing wine and its dependencies:

Dependencies Resolved

================================================================================
 Package         Arch      Version                  Repository             Size
================================================================================
Installing:
 wine            i386      1.4-1.el5.rft            rpmforge-testing      2.9 k
Installing for dependencies:
 mpg123          i386      1.14.2-1.el5.rf          rpmforge              438 k
 wine-capi       i386      1.4-1.el5.rft            rpmforge-testing       15 k
 wine-cms        i386      1.4-1.el5.rft            rpmforge-testing       66 k
 wine-core       i386      1.4-1.el5.rft            rpmforge-testing       58 M
 wine-gecko      i686      1.4-1.nodist.rft         rpmforge-testing       14 M
 wine-ldap       i386      1.4-1.el5.rft            rpmforge-testing      265 k
 wine-twain      i386      1.4-1.el5.rft            rpmforge-testing       19 k

Transaction Summary
================================================================================
Install       8 Package(s)
Upgrade       0 Package(s)

Total download size: 72 M
Is this ok [y/N]: y
Downloading Packages:
(1/8): wine-1.4-1.el5.rft.i386.rpm                       | 2.9 kB     00:00
(2/8): wine-capi-1.4-1.el5.rft.i386.rpm                  |  15 kB     00:00
(3/8): wine-twain-1.4-1.el5.rft.i386.rpm                 |  19 kB     00:00
(4/8): wine-cms-1.4-1.el5.rft.i386.rpm                   |  66 kB     00:00
(5/8): wine-ldap-1.4-1.el5.rft.i386.rpm                  | 265 kB     00:00
(6/8): mpg123-1.14.2-1.el5.rf.i386.rpm                   | 438 kB     00:00
(7/8): wine-gecko-1.4-1.nodist.rft.i686.rpm              |  14 MB     00:06
(8/8): wine-core-1.4-1.el5.rft.i386.rpm                  |  58 MB     00:29
--------------------------------------------------------------------------------
Total                                           2.0 MB/s |  72 MB     00:36
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
rpmlib(FileDigests) is needed by wine-gecko-1.4-1.nodist.rft.i686
rpmlib(PayloadIsXz) is needed by wine-gecko-1.4-1.nodist.rft.i686
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

command line: yum --enablerepo=rpmforge-testing install wine
Comment 2 James Antill 2012-07-18 09:54:42 EDT
These are two completely different bugs.

The first is likely a pre-existing condition in the rpmdb, try:

rpm -Va --nofiles --nodigest

...and see what that says.

The second is just rpms that are built incorrectly for the rpm in RHEL-5 (don't use rpmforge).
Comment 3 kenorb 2013-02-03 16:25:52 EST
The same problem.
ERROR with rpm_check_debug vs depsolve:
rpmlib(FileDigests) is needed by wine-gecko-1.4-1.nodist.rft.i686
rpmlib(PayloadIsXz) is needed by wine-gecko-1.4-1.nodist.rft.i686
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])


$ rpm -Va --nofiles --nodigest
Unsatisfied dependencies for bandmin-1.6.1-5.noarch: perl(bandmin.conf), perl(bmversion.pl), perl(services.conf)
Unsatisfied dependencies for exim-4.80-5.i386: libresolv.so.2(GLIBC_PRIVATE), perl(SafeFile)

$ cat /etc/*-release
CentOS release 5.9 (Final)

$ uname -a
Linux ds-92373.ds-10.com 2.6.18-348.1.1.el5PAE #1 SMP Tue Jan 22 17:06:35 EST 2013 i686 i686 i386 GNU/Linux

$ rpm -qa | grep rpmforge
rpmforge-release-0.5.2-2.el5.rf

Without rpmforge it's installing wine 1.0.1, not 1.4.1.

Any idea how to fix this problem?
Comment 4 kenorb 2013-02-03 16:27:31 EST
The same problem.
ERROR with rpm_check_debug vs depsolve:
rpmlib(FileDigests) is needed by wine-gecko-1.4-1.nodist.rft.i686
rpmlib(PayloadIsXz) is needed by wine-gecko-1.4-1.nodist.rft.i686
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])


$ rpm -Va --nofiles --nodigest
Unsatisfied dependencies for bandmin-1.6.1-5.noarch: perl(bandmin.conf), perl(bmversion.pl), perl(services.conf)
Unsatisfied dependencies for exim-4.80-5.i386: libresolv.so.2(GLIBC_PRIVATE), perl(SafeFile)

$ cat /etc/*-release
CentOS release 5.9 (Final)

$ uname -a
Linux ds-92373.ds-10.com 2.6.18-348.1.1.el5PAE #1 SMP Tue Jan 22 17:06:35 EST 2013 i686 i686 i386 GNU/Linux

$ rpm -qa | grep rpmforge
rpmforge-release-0.5.2-2.el5.rf

Without rpmforge it's installing wine 1.0.1, not 1.4.1.

Any idea how to fix this problem?
Comment 5 James Antill 2013-02-04 13:29:40 EST
 The rpmlib() problems are to do with using rpms built the wrong way, or for the wrong distribution.

 I'm going to close this bug given there's nothing useful in it.
Comment 6 kenorb 2013-02-04 18:03:43 EST
So where this bug should be addressed?
I'm using yum as I suppose to (with rpmforge-release).
I'm installing simply wine using the yum.
Should I report the problem to rpmforge-release, yum or CentOS then?
Thanks.